# Integrator Class Reference

An Integrator defines a method for simulating a System by integrating the equations of motion. More...

Inheritance diagram for Integrator:

List of all members.

## Public Member Functions
def | __init__
def | __del__
| __del__(OpenMM.Integrator self)
def | getStepSize
| getStepSize(Integrator self) -> double
def | setStepSize
| setStepSize(Integrator self, double size)
def | getConstraintTolerance
| getConstraintTolerance(Integrator self) -> double
def | setConstraintTolerance
| setConstraintTolerance(Integrator self, double tol)
def | step
| step(Integrator self, int steps)
def | __getstate__
def | __setstate__
## Public Attributes
| this

## Detailed Description

An Integrator defines a method for simulating a System by integrating the equations of motion.

This is an abstract class. Subclasses define particular integration methods.

Each Integrator object is bound to a particular Context which it integrates. This connection is specified by passing the Integrator as an argument to the constructor of the Context.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.Integrator self)

Reimplemented in DrudeLangevinIntegrator, VariableVerletIntegrator, RPMDIntegrator, VariableLangevinIntegrator, BrownianIntegrator, LangevinIntegrator, VerletIntegrator, DrudeSCFIntegrator, and CustomIntegrator.

def __getstate__ | ( |  | self | ) |

def __init__ | ( |  | self,
|  |  | args,
|  |  | kwargs |
| ) |  |  |

def __setstate__ | ( |  | self,
|  |  | serializationString |
| ) |  |  |

def getConstraintTolerance | ( |  | self | ) |

getConstraintTolerance(Integrator self) -> double

Get the distance tolerance within which constraints are maintained, as a fraction of the constrained distance.

def getStepSize | ( |  | self | ) |

getStepSize(Integrator self) -> double

Get the size of each time step, in picoseconds. If this integrator uses variable time steps, the size of the most recent step is returned.

def setConstraintTolerance | ( |  | self,
|  |  | args |
| ) |  |  |

setConstraintTolerance(Integrator self, double tol)

Set the distance tolerance within which constraints are maintained, as a fraction of the constrained distance.

def setStepSize | ( |  | self,
|  |  | args |
| ) |  |  |

setStepSize(Integrator self, double size)

Set the size of each time step, in picoseconds. If this integrator uses variable time steps, the effect of calling this method is undefined, and it may simply be ignored.

Parameters:

  | size | the step size, measured in ps

def step | ( |  | self,
|  |  | args |
| ) |  |  |

step(Integrator self, int steps)

Advance a simulation through time by taking a series of time steps.

Parameters:

  | steps | the number of time steps to take

Reimplemented in DrudeLangevinIntegrator, VariableVerletIntegrator, RPMDIntegrator, VariableLangevinIntegrator, BrownianIntegrator, LangevinIntegrator, VerletIntegrator, DrudeSCFIntegrator, and CustomIntegrator.

## Member Data Documentation

this

Reimplemented in DrudeLangevinIntegrator, VariableVerletIntegrator, RPMDIntegrator, VariableLangevinIntegrator, BrownianIntegrator, LangevinIntegrator, VerletIntegrator, DrudeSCFIntegrator, and CustomIntegrator.

The documentation for this class was generated from the following file:

- openmm.py